Package groovy.jmx.builder

# Class JmxEventListener

java.lang.Object
groovy.jmx.builder.JmxEventListener

All Implemented Interfaces:
  `EventListener`, `NotificationListener`

public class JmxEventListener extends Object implements NotificationListener
The JmxEventListener class is used by the builder to listen to events on the event bus. It is used internally by JmxBuilder to handle attribute-change and operation-invoke events on the bean() node.

Author:
  Vladimir Vivien
See Also:
  - `JmxBeanFactory`

## Constructor Summary

Constructors
Constructor
Description
`JmxEventListener()`

## Method Summary

Modifier and Type
Method
Description
`static JmxEventListener`
`getListener()`
Factory method that returns an instance of the listener.
`void`
`handleNotification(Notification notification, Object handback)`
This is the implemented method for NotificationListener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JmxEventListener

public JmxEventListener()

## Method Details

### getListener

public static JmxEventListener getListener()
Factory method that returns an instance of the listener.

Returns:
  - JmxEventListener instance.

### handleNotification

public void handleNotification(Notification notification, Object handback)
This is the implemented method for NotificationListener. It is called by an event emitter to dispatch JMX events to listeners. Here it handles internal JmxBuilder events.

Specified by:
  `handleNotification` in interface `NotificationListener`
Parameters:
  `notification` - the notification object passed to closure used to handle JmxBuilder events.
  `handback` - - In this case, the handback is the closure to execute when the event is handled.